# VariableService | windmill-client
Documentation for windmill-client

# Class VariableService

- Defined in src/services.gen.ts:1701

#####
Index

### Constructors

constructor

### Methods

createVariable
deleteVariable
encryptValue
existsVariable
getVariable
getVariableValue
listContextualVariables
listVariable
updateVariable

##
Constructors

### constructor

- new VariableService(): VariableService

- #### Returns VariableService

##
Methods

### `Static` createVariable

- createVariable(data): CancelablePromise <string>

- create variable

  #### Parameters

  - data: CreateVariableData

    The data for the request.

  #### Returns CancelablePromise <string>

  string variable created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1711

### `Static` deleteVariable

- deleteVariable(data): CancelablePromise <string>

- delete variable

  #### Parameters

  - data: DeleteVariableData

    The data for the request.

  #### Returns CancelablePromise <string>

  string variable deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1754

### `Static` encryptValue

- encryptValue(data): CancelablePromise <string>

- encrypt value

  #### Parameters

  - data: EncryptValueData

    The data for the request.

  #### Returns CancelablePromise <string>

  string encrypted value

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1734

### `Static` existsVariable

- existsVariable(data): CancelablePromise <boolean>

- does variable exists at path

  #### Parameters

  - data: ExistsVariableData

    The data for the request.

  #### Returns CancelablePromise <boolean>

  boolean variable

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1846

### `Static` getVariable

- getVariable(data): CancelablePromise < ListableVariable >

- get variable

  #### Parameters

  - data: GetVariableData

    The data for the request.

  #### Returns CancelablePromise < ListableVariable >

  ListableVariable variable

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1804

### `Static` getVariableValue

- getVariableValue(data): CancelablePromise <string>

- get variable value

  #### Parameters

  - data: GetVariableValueData

    The data for the request.

  #### Returns CancelablePromise <string>

  string variable

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1827

### `Static` listContextualVariables

- listContextualVariables(data): CancelablePromise < ListContextualVariablesResponse >

- list contextual variables

  #### Parameters

  - data: ListContextualVariablesData

    The data for the request.

  #### Returns CancelablePromise < ListContextualVariablesResponse >

  ContextualVariable contextual variable list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1881

### `Static` listVariable

- listVariable(data): CancelablePromise < ListVariableResponse >

- list variables

  #### Parameters

  - data: ListVariableData

    The data for the request.

  #### Returns CancelablePromise < ListVariableResponse >

  ListableVariable variable list

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1864

### `Static` updateVariable

- updateVariable(data): CancelablePromise <string>

- update variable

  #### Parameters

  - data: UpdateVariableData

    The data for the request.

  #### Returns CancelablePromise <string>

  string variable updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1775